Returns the hexidecimal representation of this ObjectId

- « MongoDB\BSON\ObjectId::jsonSerialize

- MongoDB\BSON\Regex »

- PHP Manual
- MongoDB\BSON\ObjectId
- Returns the hexidecimal representation of this ObjectId

# MongoDB\BSON\ObjectId::__toString

(mongodb >=1.0.0)

MongoDB\BSON\ObjectId::__toString — Returns the hexidecimal representation of this ObjectId

### Description

final public MongoDB\BSON\ObjectId::__toString(): string

### Parameters

This function has no parameters.

### Return Values

Returns the hexidecimal representation of this ObjectId.

### Examples

Example #1 MongoDB\BSON\ObjectId::__toString() example

    <?php

    var_dump((string) new MongoDB\BSON\ObjectId());
    var_dump((string) new MongoDB\BSON\ObjectId('000000000000000000000001'));

    ?>

The above example will output something similar to:

    string(24) "56731b49da14d8747d701211"
    string(24) "000000000000000000000001"

### See Also

- » ObjectId Reference
- » BSON Types: ObjectId